Subject: Re: [RFC PATCH] Makefile: Turn off the configure target by default

From: Michael J Gruber <[email-masked]>
Date: Mon, 11 Oct 2010 17:28:21 +0200

Jakub Narebski venit, vidit, dixit 11.10.2010 17:18:
> Dnia poniedziałek 11. października 2010 14:10, Michael J Gruber napisał:
>> Ævar Arnfjörð Bjarmason venit, vidit, dixit 11.10.2010 11:40:
>>> On Mon, Oct 11, 2010 at 08:39, Jakub Narebski <[email-masked]> wrote:
>>>
...
>> configure is a second class citizen in git.git (we even explicitly
>> .gitignore it - if you allow that lame joke),
> 
> We .gitignore 'configure' script because it is *generated* file, and
> generated files should be not, as rule, placed under version control.

I don't know which part of "joke" was unclear?

> 
>> But, really, the typical responses to build problems with configure
>> indicate that most long timers don't use configure either, and probably
>> don't feel too comfortable with it. So, I think we should either make
>> the status quo clearer (Makefile as primary method) or change the status
>> quo. I can only do the former ;)
> 
> Because ./configure script enhances Makefile rather than generate it,
> using configure script can only improve situation (at the cost of extra
> cycles spent detecting)... well, with exception of rare cases bugs in
> configure.ac making it misdetect.

My observations on the list don't quite confirm that "configure" can
only improve the make situation, but I don't use it myself. So, I'll let
those give configure advice who use it.

Michael